#include <bits/stdc++.h>

using namespace std;

long long nadjiK(long long v){
    long long rez=1;

    while(rez<v){
        rez*=10;
    }

    return rez/10;
}

int main()
{
    long long V,br=0;
    int a[] = {1,2,5};

    scanf("%lld",&V);

    long long k=nadjiK(V);
    int d;

    while(V>1){
        for(d=2;d>=0;d--){
            br+=V/(a[d]*k);
            V=V%(a[d]*k);
        }
        k/=10;
    }


    printf("%lld",br+V);

    return 0;
}